Package org.springframework.web.client

# Class HttpServerErrorException.InternalServerError

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.web.client.RestClientException
org.springframework.web.client.RestClientResponseException
org.springframework.web.client.HttpStatusCodeException
org.springframework.web.client.HttpServerErrorException
org.springframework.web.client.HttpServerErrorException.InternalServerError

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  HttpServerErrorException

public static final class HttpServerErrorException.InternalServerError extends HttpServerErrorException
`HttpServerErrorException` for status HTTP 500 Internal Server Error.

Since:
  5.1
See Also:
  - Serialized Form

## Nested Class Summary

## Nested classes/interfaces inherited from class org.springframework.web.client.HttpServerErrorException

`HttpServerErrorException.BadGateway, HttpServerErrorException.GatewayTimeout, HttpServerErrorException.InternalServerError, HttpServerErrorException.NotImplemented, HttpServerErrorException.ServiceUnavailable`

## Method Summary

### Methods inherited from class org.springframework.web.client.HttpServerErrorException

`create, create`

### Methods inherited from class org.springframework.web.client.RestClientResponseException

`getRawStatusCode, getResponseBodyAs, getResponseBodyAs, getResponseBodyAsByteArray, getResponseBodyAsString, getResponseBodyAsString, getResponseHeaders, getStatusCode, getStatusText, setBodyConvertFunction`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`